package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkBillListTxdBillListGetRequest struct {
	/*
	   结束账单日     */
	EndBillDate *util.LocalTime `json:"end_bill_date,omitempty" `

	/*
	   开始账单日     */
	StartBillDate *util.LocalTime `json:"start_bill_date,omitempty" `

	/*
	   门店编码     */
	ShopCode *string `json:"shop_code,omitempty" `

	/*
	   页面大小，默认20，最大不得超过200 defalutValue:20    */
	PageSize *int64 `json:"page_size,omitempty" `

	/*
	   当前页码，默认1 defalutValue:1    */
	PageIndex *int64 `json:"page_index,omitempty" `
}

func (s *AlibabaWdkBillListTxdBillListGetRequest) SetEndBillDate(v util.LocalTime) *AlibabaWdkBillListTxdBillListGetRequest {
	s.EndBillDate = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillListGetRequest) SetStartBillDate(v util.LocalTime) *AlibabaWdkBillListTxdBillListGetRequest {
	s.StartBillDate = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillListGetRequest) SetShopCode(v string) *AlibabaWdkBillListTxdBillListGetRequest {
	s.ShopCode = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillListGetRequest) SetPageSize(v int64) *AlibabaWdkBillListTxdBillListGetRequest {
	s.PageSize = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillListGetRequest) SetPageIndex(v int64) *AlibabaWdkBillListTxdBillListGetRequest {
	s.PageIndex = &v
	return s
}
